### Function

# Gtk CustomFilterFunc

#### Declaration

    gboolean
    CustomFilterFunc (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

User function that is called to determine if the `item` should be matched.

If the filter matches the item, this function must return `TRUE`. If the item should be filtered out, `FALSE` must be returned.

#### Parameters

`item` | `GObject*`
| The item to be matched.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.

#### Return value

Returns: | `gboolean`
| `TRUE` to keep the item around.